# ARC-10 Transfer

**HTTP API:**

```http
wallet/transferasset
Description: Transfer token
demo: curl --request POST
--url
http://172.104.51.182:16667/wallet/transferasset
--header 'Accept: application/json'
--header 'Content-Type: application/json'
--data ' { "owner_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "to_address": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7", "asset_name": "1000166", "amount":100, "visible": true }
Parameter owner_address: Owner address, default hexString    
Parameter to_address: To address, default hexString    
Parameter asset_name: Token id, default hexString   
Parameter amount: Token transfer amount    
Parameter permission_id: Optional, for multi-signature use         
Return: Transaction object
Note: The unit of 'amount' is the smallest unit of the token
```

Please follow the instructions below to complete this transaction:

1. Tip: "Please confirm and enter your permission id, if input y or Y means default 0, other non-numeric characters will cancel transaction.", Enter "y" or "Y" to confirm the transaction;
2. Tip: "lease choose your key for sign. ...... Please choose between 1 and 2", select the serial number of the sign account;
3. Tip: "Please input your password.", Enter your local password;
4. Tip: "TransferAsset 1 to ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7successful !!", which indicates that Successfully transferred ARC10 tokens.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/aixc-and-arc-token/arc-10/arc-10-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
